package com.ruoyi.mall.domain.Vo;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 专业录取数据VO
 * @author 萌
 */
public class SchoolMajorAcceptRecordVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 专业录取数据id */
    private Long schoolAcceptId;

    /** 专业名称 */
    private String majorName;

    /** 录取人数 */
    private Integer acceptNum;

    /** 最低投档线 */
    private BigDecimal acceptLowest;

    /** 数据年份 */
    private String acceptYear;

    /** 计算方法id */
    private Long acceptRuleId;

    /** 计算方法字符串 */
    private String acceptRuleStr;

    /** 专业组 */
    private String majorGroup;

    /** 参考分 */
    private BigDecimal reference;

    /** 是否显示参考分 */
    private Integer isReference;

    /** 学校id */
    private Long schoolId;

    /** 学校专业id */
    private Long linkId;

    /** 录取率 */
    private String acceptRate;

    public String getAcceptRate() {
        return acceptRate;
    }

    public void setAcceptRate(String acceptRate) {
        this.acceptRate = acceptRate;
    }

    public Long getLinkId() {
        return linkId;
    }

    public void setLinkId(Long linkId) {
        this.linkId = linkId;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public BigDecimal getReference() {
        return reference;
    }

    public void setReference(BigDecimal reference) {
        this.reference = reference;
    }

    public Integer getIsReference() {
        return isReference;
    }

    public void setIsReference(Integer isReference) {
        this.isReference = isReference;
    }

    public String getMajorGroup() {
        return majorGroup;
    }

    public void setMajorGroup(String majorGroup) {
        this.majorGroup = majorGroup;
    }

    public Long getSchoolAcceptId() {
        return schoolAcceptId;
    }

    public void setSchoolAcceptId(Long schoolAcceptId) {
        this.schoolAcceptId = schoolAcceptId;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public Integer getAcceptNum() {
        return acceptNum;
    }

    public void setAcceptNum(Integer acceptNum) {
        this.acceptNum = acceptNum;
    }

    public BigDecimal getAcceptLowest() {
        return acceptLowest;
    }

    public void setAcceptLowest(BigDecimal acceptLowest) {
        this.acceptLowest = acceptLowest;
    }

    public String getAcceptYear() {
        return acceptYear;
    }

    public void setAcceptYear(String acceptYear) {
        this.acceptYear = acceptYear;
    }

    public Long getAcceptRuleId() {
        return acceptRuleId;
    }

    public void setAcceptRuleId(Long acceptRuleId) {
        this.acceptRuleId = acceptRuleId;
    }

    public String getAcceptRuleStr() {
        return acceptRuleStr;
    }

    public void setAcceptRuleStr(String acceptRuleStr) {
        this.acceptRuleStr = acceptRuleStr;
    }

    @Override
    public String toString() {
        return "SchoolMajorAcceptRecordVO{" +
                "schoolAcceptId=" + schoolAcceptId +
                ", majorName='" + majorName + '\'' +
                ", acceptNum=" + acceptNum +
                ", acceptLowest=" + acceptLowest +
                ", acceptYear='" + acceptYear + '\'' +
                ", acceptRuleId=" + acceptRuleId +
                ", acceptRuleStr='" + acceptRuleStr + '\'' +
                '}';
    }
}
